TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Apply ( alist l, func f ) -> alist r

### Description

<shortdoc> Apply `f' to every member of `l' and return the alist of return values. </shortdoc>

### Examples

l:=Alist([3,1],[6,2],[9,3],[12,4]); Apply(l,i->3*i);
l:=[1,2,3,4]; Apply(l,IsEven);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack